## net.sf.saxon.expr
Class StackFrame

    java.lang.Object
      |
      +--net.sf.saxon.expr.StackFrame

public class StackFrame
extends java.lang.Object

Created by IntelliJ IDEA. User: Mike Date: 16-Jul-2004 Time: 17:57:33 To change this template use Options | File Templates.

Field Summary
`static StackFrame` `EMPTY`
`protected SlotManager` `map`
`protected Value[]` `slots`

Constructor Summary
`StackFrame(SlotManager map, Value[] slots)`

Method Summary
`SlotManager` `getStackFrameMap()`
`Value[]` `getStackFrameValues()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    protected SlotManager map

### slots

    protected Value[] slots

### EMPTY

    public static StackFrame EMPTY

Constructor Detail

### StackFrame

    public StackFrame(SlotManager map,
                      Value[] slots)

Method Detail

### getStackFrameMap

    public SlotManager getStackFrameMap()

### getStackFrameValues

    public Value[] getStackFrameValues()